cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_item_fulfillment(
"ORD-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderItemFulfillment('ORD-0001', 'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderItemFulfillment(
'ORD-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderItemFulfillment;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderItemFulfillment> response = client.orders().getOrderItemFulfillment(
"ORD-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderItemFulfillmentAsync(
"ORD-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderItemFulfillment(
'ORD-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderItemFulfillment(context.Background(), "ORD-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_fulfillment": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": {},
"delivery_status": "<unknown>",
"fulfillment_completed": true,
"fulfillment_date": "<string>",
"fulfillment_note": "<unknown>",
"fulfillment_status": "<string>",
"fulfillments": [
{
"fulfillment_index": 123,
"fulfillment_qty": 123,
"fulfillment_sent_qty": 123,
"id": "<string>",
"inventory_tracking": "<unknown>",
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"object": "<string>",
"pending_return": 123,
"returned": "<unknown>",
"serving_status": "<string>",
"uom": "<unknown>",
"uom_precision": "<unknown>"
}
],
"href": "<string>",
"id": "<string>",
"invoice": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": "<unknown>",
"status": "<string>",
"tracking_number": "<string>",
"version": 123
}
}Orders
Retrieve an order fulfillment
Returns one item fulfillment, under item_fulfillment.
GET
/
orders
/
{order_id}
/
item_fulfillments
/
{fulfillment_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_item_fulfillment(
"ORD-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderItemFulfillment('ORD-0001', 'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderItemFulfillment(
'ORD-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderItemFulfillment;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderItemFulfillment> response = client.orders().getOrderItemFulfillment(
"ORD-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderItemFulfillmentAsync(
"ORD-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderItemFulfillment(
'ORD-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderItemFulfillment(context.Background(), "ORD-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_fulfillment": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": {},
"delivery_status": "<unknown>",
"fulfillment_completed": true,
"fulfillment_date": "<string>",
"fulfillment_note": "<unknown>",
"fulfillment_status": "<string>",
"fulfillments": [
{
"fulfillment_index": 123,
"fulfillment_qty": 123,
"fulfillment_sent_qty": 123,
"id": "<string>",
"inventory_tracking": "<unknown>",
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"object": "<string>",
"pending_return": 123,
"returned": "<unknown>",
"serving_status": "<string>",
"uom": "<unknown>",
"uom_precision": "<unknown>"
}
],
"href": "<string>",
"id": "<string>",
"invoice": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": "<unknown>",
"status": "<string>",
"tracking_number": "<string>",
"version": 123
}
}Pass an order’s
id and the fulfillment’s id. The fulfillment is read by its own id, without checking that it belongs to the order.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The item fulfillment's id, which starts with ifm_.
Response
200 - application/json
The fulfillment, under item_fulfillment.
Show child attributes
Show child attributes